AMD Catalyst™ Display Driver version 15.20.1062.1005

Discussion in 'Videocards - AMD Radeon Drivers Section' started by mazhurg, Aug 28, 2015.

  1. mazhurg

    mazhurg New Member

    Messages:
    8
    Likes Received:
    0
    GPU:
    ATI R9-290 *2 / 4GB
    http://support.amd.com/en-us/kb-articles/Pages/Oculus07SDK-Driver.aspx

    Supports LiquidVR (for oculus SDK 0.7)

    Article Number: GPU-617

    This article provides information on the posting of the AMD Catalyst™ Software Suite with is Oculus 0.7 SDK support.

    Package Contents

    The AMD Catalyst™ Software Suite with Oculus 0.7 SDK support.

    AMD Catalyst™ Display Driver version 15.20.1062.1005

    The AMD Catalyst™ Driver with Oculus 0.7 SDK support can be downloaded from the following link:

    AMD Catalyst™ Driver with Oculus 0.7 SDK support for Windows 7, Windows 8.1 and Windows 10 (32/64 Bit)

    Installing the AMD Catalyst™ Software Driver

    For detailed instructions on how to correctly uninstall or install the AMD Catalyst™ Software Suite, please refer to the following instructional resources:

    How-To Uninstall AMD Catalyst™ Drivers from a Windows® Based System
    How-To Install AMD Catalyst™ Drivers for a Windows® Based System

    NOTES

    This driver is not intended for use on AMD products running in Apple Boot Camp platforms. Users of these platforms should contact their manufacturer for driver assistance.
    When installing the AMD Catalyst™ Driver for Windows® operating system, the user must be logged on as Administrator, or have Administrator rights to complete the installation of the AMD Catalyst™ Driver.
    The AMD Catalyst™ Software Suite with Oculus 0.7 SDK support requires Windows® 7 Service Pack 1 to be installed.
    The AMD Catalyst™ Software Suite with Oculus 0.7 SDK support requires Microsoft® .NET Framework 4.5 to be installed. Microsoft .NET Framework 4.5 is included in all AMD Catalyst™ packages.

    AMD Product Compatibility

    The AMD Catalyst™ Driver with Oculus 0.7 SDK support is compatible with the following AMD products.
    AMD Desktop Product Family Compatibility ***8203;
    AMD Radeon™ R9 Fury Series AMD Radeon™ R5 230 Series
    AMD Radeon™ R9 300 Series AMD Radeon™ HD 8000 Series
    AMD Radeon™ R9 200 Series AMD Radeon™ HD 7000 Series
    AMD Radeon™ R7 300 Series AMD Radeon™ HD 6000 Series
    AMD Radeon™ R7 200 Series ATI Radeon™ HD 5000 Series

    AMD All-In-One Desktop Product Family Compatibility ***8203;
    AMD Radeon™ HD 7600A Series AMD Radeon™ HD 6600A Series
    AMD Radeon™ HD 7450A Series AMD Radeon™ HD 6350A Series
     
  2. mysteriously

    mysteriously Guest

    Spoked too soon
     
    Last edited by a moderator: Aug 28, 2015
  3. endbase

    endbase Maha Guru

    Messages:
    1,017
    Likes Received:
    154
    GPU:
    TUF OC RTX 3080
    Nice find ! Let's see this one won't crash so often as the 15.7.1 package in Unreal Tournament and Ark
     
    Last edited: Aug 28, 2015
  4. OnnA

    OnnA Ancient Guru

    Messages:
    13,509
    Likes Received:
    3,437
    GPU:
    3080Ti VISION OC
    THX Working Great so far...
    pCars etc. +1-2 FPS
     

  5. Flano

    Flano Banned

    Messages:
    48
    Likes Received:
    0
    GPU:
    2x AMD R9 FURY X 4GB HBM
    1005

    Using this driver now, works amazing!! driver releases are getting pretty awesome from AMD lately ... !!!
     
  6. jaju123

    jaju123 Master Guru

    Messages:
    355
    Likes Received:
    3
    GPU:
    2x AMD R9 290 Crossfire
    This is the same as the last few drivers, just with the occulus thing added.
     
  7. endbase

    endbase Maha Guru

    Messages:
    1,017
    Likes Received:
    154
    GPU:
    TUF OC RTX 3080
    Last edited: Aug 28, 2015
  8. Ungeheuer97

    Ungeheuer97 Active Member

    Messages:
    60
    Likes Received:
    0
    GPU:
    GTX 1070 G1 Gaming
    Yeah, the Mantle driver version has been updated to 9.1.10.0083, whereas in the previous 15.20.1062.1004 release it was 9.1.10.0077.
     
  9. thatguy91

    thatguy91 Ancient Guru

    Messages:
    6,643
    Likes Received:
    99
    GPU:
    XFX RX 480 RS 4 GB
    Also even if the individual file versions are the same, if they belong to a different package they could be different. If they are more the core drivers like atikmdag.sys it is most likely that it is different. The difference may or may not show in the byte size of the file, but if you do a file compare you will find that they are typically different.
     
  10. b0uncyfr0

    b0uncyfr0 Member Guru

    Messages:
    186
    Likes Received:
    0
    GPU:
    Gaming XXX 1070
    So different branch to 15.7/.1?
     

  11. Kurg

    Kurg Active Member

    Messages:
    59
    Likes Received:
    0
    GPU:
    ASUS R9 280X DirectCU II
    This driver crash totally my system, i've win10 64x, the widows take hours to start after the instalation, DVXA don't run, back to the windows update driver..
     
  12. Alessio1989

    Alessio1989 Ancient Guru

    Messages:
    2,100
    Likes Received:
    627
    GPU:
    .
    d3d driver version?
     
  13. PrMinisterGR

    PrMinisterGR Ancient Guru

    Messages:
    7,870
    Likes Received:
    736
    GPU:
    Inno3D RTX 3090
    8.17.10.0625

    That tends not to mean a lot with AMD releases though (I guess you already know that).
     
  14. Alessio1989

    Alessio1989 Ancient Guru

    Messages:
    2,100
    Likes Received:
    627
    GPU:
    .
    Sorry, I was talking about d3d12 driver, but anyway, looks like it is simply based on 15.7.1 driver version.... I'll have to wait another release to see a proper wddm 2.0 compositor support (or even worst the upcoming fall/autumn d3d12 update, which should finalize the new compositor for windowed mode https://www.youtube.com/watch?v=E3wTajGZOsA).
     
  15. PrMinisterGR

    PrMinisterGR Ancient Guru

    Messages:
    7,870
    Likes Received:
    736
    GPU:
    Inno3D RTX 3090
    Nice video link.
     

  16. Yezirael

    Yezirael Member

    Messages:
    24
    Likes Received:
    0
    GPU:
    VEGA 64
    On Windows 10 (10240) AMD64:

    [​IMG]
     
  17. densou

    densou Member Guru

    Messages:
    146
    Likes Received:
    10
    GPU:
    Zotac 1070 Ti Mini
    guys, are you saying this driver is awesome? Like AMD's past devel release with first Open CL 2.0 implementation? Unfortunately I am no more one of yours after years :sry: well, except for my netbook's HD4225, it ain't worthwhile a mention though :p
    I can state on the green side, both Oculus Kit releases (355.78/355.83) are quite good.
    It's awkward not suggesting to friends/acquaintances/.... non-WHQL drivers although they perform way better than the avg official stuff {e.g. how should I consider nVidia's iCafe? They're also a pick :thumbs up: over any official 35x.xx yuck}
     
  18. WarDocsRevenge

    WarDocsRevenge Master Guru

    Messages:
    294
    Likes Received:
    0
    GPU:
    Fury-x Crossfire
    Dx12 still crashes in ue4
     
  19. tarot

    tarot Active Member

    Messages:
    66
    Likes Received:
    16
    GPU:
    XFX Vega 64
    are you referring to dx12 in the editor?
    then yes I had that issue too.
    if you are talking about the elemental demo that runs for me but not well at all.
     
  20. DiceAir

    DiceAir Maha Guru

    Messages:
    1,363
    Likes Received:
    14
    GPU:
    Galax 980 ti HOF
    I see mantle version is higher than 15.7.1. So does this fix mantle in windows 10. I have worse performance in mantle than dx11

    So i installed it. I get mantle api version not available.

    Ok some more info. After testing bf4 on the test range with mantle it works a bit better but still not 100% but I get a little bit better frametime with mantle now in the same spot. BFH with mantle the amd display driver will crash but not when playing with dx11.

    I can say is this drivers is going in the right direction but still needs a lot of work before it's worth updating to.
     
    Last edited: Aug 31, 2015

Share This Page